Package wx :: Class HelpEvent

[frames | no frames]

## Type HelpEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        HelpEvent

A help event is sent when the user has requested context-sensitive help. This can either be caused by the application requesting context-sensitive help mode via wx.ContextHelp, or (on MS Windows) by the system generating a WM_HELP message when the user pressed F1 or clicked on the query button in a dialog caption.

A help event is sent to the window that the user clicked on, and is propagated up the window hierarchy until the event is processed or there are no more event handlers. The application should call event.GetId to check the identity of the clicked-on window, and then either show some suitable help or call event.Skip if the identifier is unrecognised. Calling Skip is important because it allows wxWindows to generate further events for ancestors of the clicked-on window. Otherwise it would be impossible to show help for container windows, since processing would stop after the first window found.

# Events

> EVT_HELP | Sent when the user has requested context- sensitive help.
> EVT_HELP_RANGE | Allows to catch EVT_HELP for a range of IDs

See Also:

`wx.ContextHelp`, `wx.ContextHelpButton`

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
String | ``GetLink`(self)` Get an optional link to further help
int | ``GetOrigin`(self)` Optiononal indication of the source of the event.
Point | ``GetPosition`(self)` Returns the left-click position of the mouse, in screen coordinates.
String | ``GetTarget`(self)` Get an optional target to display help in.
| ``SetLink`(self, link)` Set an optional link to further help
| `SetOrigin(self, origin)`
| ``SetPosition`(self, pos)` Sets the left-click position of the mouse, in screen coordinates.
| ``SetTarget`(self, target)` Set an optional target to display help in.

Property Summary
| `Link`: See `GetLink` and `SetLink`
| `Origin`: See `GetOrigin` and `SetOrigin`
| `Position`: See `GetPosition` and `SetPosition`
| `Target`: See `GetTarget` and `SetTarget`
| `thisown`: The membership flag

Class Variable Summary
`int` | `Origin_HelpButton` = 2
`int` | `Origin_Keyboard` = 1
`int` | `Origin_Unknown` = 0

Method Details

### __init__(self, type=wxEVT_NULL, winid=0, pt=DefaultPosition, origin=Origin_Unknown)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

### GetLink(self)

Get an optional link to further help

  Returns:
    String

### GetOrigin(self)

Optiononal indication of the source of the event.

  Returns:
    int

### GetPosition(self)

Returns the left-click position of the mouse, in screen coordinates. This allows the application to position the help appropriately.

  Returns:
    Point

### GetTarget(self)

Get an optional target to display help in. E.g. a window specification

  Returns:
    String

### SetLink(self, link)

Set an optional link to further help

  Parameters:
    `link`
    (type=String)

### SetPosition(self, pos)

Sets the left-click position of the mouse, in screen coordinates.

  Parameters:
    `pos`
    (type=Point)

### SetTarget(self, target)

Set an optional target to display help in. E.g. a window specification

  Parameters:
    `target`
    (type=String)

Property Details

### Link

See `GetLink` and `SetLink`

  Get Method:
    `GetLink`(self)
  Set Method:
    `SetLink`(self, link)

### Origin

See `GetOrigin` and `SetOrigin`

  Get Method:
    `GetOrigin`(self)
  Set Method:
    `SetOrigin`(self, origin)

### Position

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### Target

See `GetTarget` and `SetTarget`

  Get Method:
    `GetTarget`(self)
  Set Method:
    `SetTarget`(self, target)

### thisown

The membership flag

Class Variable Details

### Origin_HelpButton

  Type:
    `int`
  Value:

        2

### Origin_Keyboard

  Type:
    `int`
  Value:

        1

### Origin_Unknown

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:11 2007 | http://epydoc.sf.net